require 'tablets/base'

module Tablets
  module Global
    # Tables store
    # Expects @tablets to be defined elsewhere
    module Store
      extend Forwardable

      def_delegators :tablets, :[]

      def tablets
        @tablets || {}
      end

      # put tablet into store
      def register_tablet(name, tablet_class)
        @tablets ||= {}
        @tablets[name] = tablet_class
      end
    end
  end
end
