require 'tablets/global/loader'
require 'tablets/global/store'
require 'tablets/global/configurator'

# Top level tablets module extended with global tablets methods
module Tablets
  autoload :Data, 'tablets/data'

  extend Tablets::Global::Loader
  extend Tablets::Global::Store
  extend Tablets::Global::Configurator
end

require 'tablets/version'

if defined? Rails
  require 'tablets/railtie'
  require 'tablets/engine'
end
