module Tablets
  # Tablets gem version
  module Version
    MAJOR = 2
    MINOR = 0
    TINY  = 1
    PRE   = nil

    class << self
      def to_s
        [MAJOR, MINOR, TINY, PRE].compact.join('.')
      end

      alias_method :to_str, :to_s
    end
  end
end
